=== debian/changelog ===
glite-lb-state-machine (1.3.2-3) unstable; urgency=low

  * Automatically generated package

 -- CESNET Product Teams <emi-lb@metacentrum.cz>  Fri, 04 May 2012 14:42:00 +0200
