=== debian/control ===
Source: glite-lb-state-machine
Priority: extra
Maintainer: CESNET Product Teams <emi-lb@metacentrum.cz>
Uploaders: František Dvořák <valtri@civ.zcu.cz>
Build-Depends: debhelper (>= 7.0.50~), chrpath, glite-lb-types, libclassad0-dev | libclassad-dev, libexpat1-dev, libglite-jobid-api-c-dev, libglite-lb-common-dev, libglite-lbjp-common-db-dev, libglite-lbjp-common-gss-dev, libglite-lbjp-common-jp-interface-dev, libglite-lbjp-common-trio-dev, libtool, pkg-config, xsltproc
Standards-Version: 3.9.1
Section: libs
Homepage: http://glite.cern.ch
DM-Upload-Allowed: yes
Vcs-Cvs: :pserver:anonymous@jra1mw.cvs.cern.ch:/cvs/jra1mw
Vcs-Browser: http://jra1mw.cvs.cern.ch/cgi-bin/jra1mw.cgi

Package: libglite-lb-state-machine1
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: gLite Logging and Bookkeeping state machine
 glite-lb-state-machine is the gLite LB state machine (server core, processing
 LB events to produce job state presented to the user). This package contains
 the state machine static (linked by server) and dynamic library (LB plugin used
 by Job
 Provenance).

Package: libglite-lb-state-machine-dev
Section: libdevel
Architecture: any
Provides: glite-lb-state-machine
Depends: libglite-lb-state-machine1 (= ${binary:Version}), ${misc:Depends}, libglite-lb-common-dev, libglite-lbjp-common-gss-dev
Description: Development files for gLite L&B state machine
 This package contains development libraries and header files for gLite L&B
 state machine.

Package: glite-lb-state-machine-dbg
Section: debug
Architecture: any
Priority: extra
Depends: libglite-lb-state-machine1 (= ${binary:Version}), ${misc:Depends}, libglite-jobid-api-c-dev
Description: gLite L&B state-machine debugging symbols
 This package contains debugging symbols for gLite L&B state machine.
