## glite-lb-state-machine 1.3.3

=== debian/changelog ===
glite-lb-state-machine (1.3.3-1) unstable; urgency=low

  * Automatically generated package

 -- CESNET Product Teams <emi-lb@metacentrum.cz>  Thu, 26 Jul 2012 12:26:05 +0200
