## glite-lb-state-machine 1.4.1

=== Makefile ===
--- 
+++ 
@@ -8,19 +8,25 @@
 PREFIX=/opt/glite
 prefix=
 
+default: all
+
 -include Makefile.inc
 -include ${top_srcdir}/project/version.properties
 version=${module.version}
 
 VPATH = ${top_srcdir}/src:${top_srcdir}/interface
 
-default all: compile
-
 CC=gcc
 CXX=g++
 AT3=${stagedir}${prefix}/sbin/glite-lb-at3
 
 SUFFIXES = .T 
+
+SOURCES=\
+	interface/*.h interface/*.xsd interface/*.xsd.T \
+	project/.post* \
+	src/*.c src/*.xsl \
+	LICENSE Makefile
 
 ifneq (${classads_prefix},/usr)
 	classadslib := -L${classads_prefix}/${libdir} -L${classads_prefix}/lib 
@@ -32,6 +38,7 @@
 CLASSADS_LIBS?=${classadslib} -lclassad
 EXPAT_CFLAGS?=
 EXPAT_LIBS?=${expatlib} -lexpat
+GLITE_LBJP_COMMON_GSS_CFLAGS?=`PKG_CONFIG_PATH=$$PKG_CONFIG_PATH:${PREFIX}${prefix}/${libdir}/pkgconfig pkg-config glite-security-gss --cflags`
 
 DEBUG:=-g -O0 -Wall
 
@@ -39,7 +46,7 @@
 	${DEBUG} \
 	${CLASSADS_CFLAGS} \
 	-I${stagedir}${prefix}/include -I${top_srcdir}/src -I. \
-	-I${top_srcdir}/interface ${CFLAGS}
+	-I${top_srcdir}/interface ${GLITE_LBJP_COMMON_GSS_CFLAGS} ${CFLAGS}
 
 COMPILE:=libtool --mode=compile ${CC} ${CFLAGS}
 LINK:=libtool --mode=link ${CC} -rpath ${stagedir}${prefix}/${libdir}  ${LDFLAGS} 
@@ -57,8 +64,8 @@
 COMMON_LIBS:= -L${stagedir}${prefix}/${libdir} -lglite_lb_common${default_flavour} -lglite_security_gss${default_flavour} -lglite_jobid
 PLUGIN_LIBS:= -L${stagedir}${prefix}/${libdir} -lglite_lb_common${default_flavour}
 
-PLUGIN_LOBJS:=seqcode_aux.lo process_event.lo process_event_pbs.lo process_event_condor.lo process_event_cream.lo lb_plugin.lo  process_event_file_transfer.lo process_event_file_transfer_collection.lo
-MACHINE_OBJS:=seqcode_aux.o process_event.o process_event_pbs.o process_event_condor.o process_event_cream.o process_event_file_transfer.o process_event_file_transfer_collection.o intjobstat_supp.o
+PLUGIN_LOBJS:=seqcode_aux.lo process_event.lo process_event_pbs.lo process_event_condor.lo process_event_cream.lo lb_plugin.lo  process_event_file_transfer.lo process_event_file_transfer_collection.lo process_event_virtual_machine.lo
+MACHINE_OBJS:=seqcode_aux.o process_event.o process_event_pbs.o process_event_condor.o process_event_cream.o process_event_file_transfer.o process_event_file_transfer_collection.o process_event_virtual_machine.o intjobstat_supp.o
 MACHINE_LOBJS:=${MACHINE_OBJS:.o=.lo}
 
 PLUGIN_LIB=glite_lb_plugin.la
@@ -66,7 +73,7 @@
 
 XSD=lb-job-attrs2.xsd
 
-default all: compile
+all: compile
 
 compile: ${MACHINE_LIB} ${PLUGIN_LIB} ${XSD}
 
@@ -115,6 +122,7 @@
 clean:
 	rm -rvf .libs *.o *.lo ${PLUGIN_LIB} ${MACHINE_LIB}
 	rm -rfv job_attrs.h job_attrs2.h lb-job-attrs2.xsd glite-jpis-config.xml
+	rm -rvf dist ${package}-*.tar.gz
 
 distclean:
 	rm -rvf Makefile.inc *.spec debian/
@@ -151,3 +159,5 @@
 
 glite-jpis-config.xml: lb-job-attrs2.xsd jpis_config.xsl
 	${XSLTPROC} ${top_srcdir}/src/jpis_config.xsl lb-job-attrs2.xsd >$@ || ( rm -f $@; false)
+
+.PHONY: default all compile doc stage clean distclean check dist distcheck
