=== debian/changelog ===
glite-lb-state-machine (1.4.1-0head.2) stable; urgency=low

  * Automatically generated package

 -- CESNET Product Teams <emi-lb@metacentrum.cz>  Tue, 14 Aug 2012 19:22:30 +0200
