## glite-lb-state-machine 2.0.4

=== debian/changelog ===
glite-lb-state-machine (2.0.4-1) stable; urgency=low

  * Automatically generated package

 -- CESNET Product Teams <emi-lb@metacentrum.cz>  Wed, 23 Jan 2013 19:04:55 +0100
