=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
 Vcs-Cvs: :pserver:anonymous@jra1mw.cvs.cern.ch:/cvs/jra1mw
 Vcs-Browser: http://jra1mw.cvs.cern.ch/cgi-bin/jra1mw.cgi
 
-Package: libglite-lb-state-machine1
+Package: libglite-lb-state-machine6
 Section: libs
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
@@ -25,15 +25,22 @@
 Section: libdevel
 Architecture: any
 Provides: glite-lb-state-machine
-Depends: libglite-lb-state-machine1 (= ${binary:Version}), ${misc:Depends}, libglite-lb-common-dev, libglite-lbjp-common-gss-dev
+Depends: libglite-lb-state-machine6 (= ${binary:Version}), ${misc:Depends}, libglite-lb-common-dev, libglite-lbjp-common-gss-dev
 Description: Development files for gLite L&B state machine
  This package contains development libraries and header files for gLite L&B
  state machine.
+
+Package: glite-lb-state-machine-plugins
+Section: misc
+Architecture: any
+Depends: ${shlibs:Depends}, ${misc:Depends}
+Description: L&B state machine plugins
+ This package contains L&B state machine plugins for Job Provenance.
 
 Package: glite-lb-state-machine-dbg
 Section: debug
 Architecture: any
 Priority: extra
-Depends: libglite-lb-state-machine1 (= ${binary:Version}), ${misc:Depends}, libglite-jobid-api-c-dev
+Depends: libglite-lb-state-machine6 (= ${binary:Version}), ${misc:Depends}, libglite-jobid-api-c-dev
 Description: gLite L&B state-machine debugging symbols
  This package contains debugging symbols for gLite L&B state machine.
