## glite-lb-state-machine 2.0.6

=== Makefile ===
--- 
+++ 
@@ -18,7 +18,7 @@
 
 CC=gcc
 CXX=g++
-AT3=${stagedir}${prefix}/sbin/glite-lb-at3
+AT3=${stagedir}${prefix}/bin/glite-lb-at3
 
 SUFFIXES = .T 
 
@@ -26,7 +26,7 @@
 	interface/*.h interface/*.xsd interface/*.xsd.T \
 	project/.post* \
 	src/*.c src/*.xsl \
-	LICENSE Makefile
+	Makefile
 
 ifneq (${classads_prefix},/usr)
 	classadslib := -L${classads_prefix}/${libdir} -L${classads_prefix}/lib 
@@ -86,8 +86,8 @@
 # where offset is a sum of maximal released minor's of all previous major's
 # 
 
-# counted minors: 1.0
-offset=0
+# counted minors: 1.4
+offset=4
 version_info:=-version-info ${shell \
         perl -e '$$,=":"; @F=split /\./,"${version}"; print $$F[0]+$$F[1]+${offset},$$F[2],$$F[1]' }
 
@@ -125,7 +125,7 @@
 	rm -rvf dist ${package}-*.tar.gz
 
 distclean:
-	rm -rvf Makefile.inc *.spec debian/
+	rm -rvf project/changelog Makefile.inc *.spec debian/
 
 check:
 	@echo No tests yet
