=== debian/changelog ===
glite-lb-state-machine (2.0.6-1.git20130805) stable; urgency=low

  * Automatically generated package

 -- CESNET Product Teams <emi-lb@metacentrum.cz>  Mon, 05 Aug 2013 14:53:03 +0200
