=== debian/control ===
--- 
+++ 
@@ -37,10 +37,18 @@
 Description: L&B state machine plugins
  This package contains L&B state machine plugins for Job Provenance.
 
-Package: glite-lb-state-machine-dbg
+Package: libglite-lb-state-machine6-dbg
 Section: debug
 Architecture: any
 Priority: extra
 Depends: libglite-lb-state-machine6 (= ${binary:Version}), ${misc:Depends}, libglite-jobid-api-c-dev
-Description: gLite L&B state-machine debugging symbols
+Description: Debugging symbols for gLite L&B state-machine
  This package contains debugging symbols for gLite L&B state machine.
+
+Package: glite-lb-state-machine-plugins-dbg
+Section: debug
+Architecture: any
+Priority: extra
+Depends: glite-lb-state-machine-plugins (= ${binary:Version}), ${misc:Depends}, libglite-jobid-api-c-dev
+Description: Debugging symbols for gLite L&B state-machine plugins
+ This package contains debugging symbols for gLite L&B state machine plugins.
