## glite-lb-state-machine 2.0.7

=== debian/changelog ===
glite-lb-state-machine (2.0.7-1) stable; urgency=low

  * Automatically generated package

 -- CESNET Product Teams <emi-lb@metacentrum.cz>  Fri, 22 Nov 2013 11:57:39 +0100
