=== debian/control ===
Source: glite-lb-state-machine
Priority: extra
Maintainer: CESNET Product Teams <emi-lb@metacentrum.cz>
Uploaders: František Dvořák <valtri@civ.zcu.cz>
Build-Depends: debhelper (>= 7.0.50~), glite-lb-types, libclassad0-dev | libclassad-dev, libexpat1-dev, libglite-jobid-api-c-dev, libglite-lb-common-dev, libglite-lbjp-common-db-dev, libglite-lbjp-common-gss-dev, libglite-lbjp-common-jp-interface-dev, libglite-lbjp-common-trio-dev, libtool-bin, pkg-config, xsltproc
Standards-Version: 3.9.1
Section: libs
Homepage: http://glite.cern.ch

Package: libglite-lb-state-machine6
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: gLite Logging and Bookkeeping state machine
 glite-lb-state-machine is the gLite L&B job state machine -- server core
 processing L&B events to produce job state presented to the user. This package
 contains the state machine library (linked by server) and dynamic plugin (used
 by other tools and Job
 Provenance).

Package: libglite-lb-state-machine-dev
Section: libdevel
Architecture: any
Provides: glite-lb-state-machine
Depends: libglite-lb-state-machine6 (= ${binary:Version}), ${misc:Depends}, libglite-lb-common-dev, libglite-lbjp-common-gss-dev
Description: Development files for gLite L&B state machine
 glite-lb-state-machine is the gLite L&B job state machine -- server core
 processing L&B events to produce job state presented to the user. This package
 contains the state machine library (linked by server) and dynamic plugin (used
 by other tools and Job
 Provenance).
 .
 This package contains development libraries and header files for gLite L&B
 state machine.

Package: glite-lb-state-machine-plugins
Section: misc
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: L&B state machine plugins
 glite-lb-state-machine is the gLite L&B job state machine -- server core
 processing L&B events to produce job state presented to the user. This package
 contains the state machine library (linked by server) and dynamic plugin (used
 by other tools and Job
 Provenance).
 .
 This package contains L&B state machine plugins for L&B tools and Job
 Provenance.

Package: libglite-lb-state-machine6-dbg
Section: debug
Architecture: any
Depends: libglite-lb-state-machine6 (= ${binary:Version}), ${misc:Depends}, libglite-jobid-api-c-dev
Description: Debugging symbols for gLite L&B state-machine
 glite-lb-state-machine is the gLite L&B job state machine -- server core
 processing L&B events to produce job state presented to the user. This package
 contains the state machine library (linked by server) and dynamic plugin (used
 by other tools and Job
 Provenance).
 .
 This package contains debugging symbols for gLite L&B state machine.

Package: glite-lb-state-machine-plugins-dbg
Section: debug
Architecture: any
Depends: glite-lb-state-machine-plugins (= ${binary:Version}), ${misc:Depends}, libglite-jobid-api-c-dev
Description: Debugging symbols for gLite L&B state-machine plugins
 glite-lb-state-machine is the gLite L&B job state machine -- server core
 processing L&B events to produce job state presented to the user. This package
 contains the state machine library (linked by server) and dynamic plugin (used
 by other tools and Job
 Provenance).
 .
 This package contains debugging symbols for gLite L&B state machine plugins.
