=== debian/watch ===
version=3
http://scientific.zcu.cz/emi/emi.lb.state-machine/glite-lb-state-machine-(.*)\.tar\.gz
